using GameMessage;
using MessagePack;
#if Server
#else
using GameFramework;
#endif

namespace UnityGame
{
    [Message(MessageCode.TestMessageRequest)]
    [MessagePackObject]
    public class TestMessageRequest : MessageData
    {
        [Key(0)]
        public int MessageId;
        
#if GameClient
        public static TestMessageRequest Create(int id)
        {
            TestMessageRequest request = ReferencePool.Acquire<TestMessageRequest>();
            request.MessageId = id;
            return request;
        }

        public override void Clear()
        {
        }
#endif
    }

    [Message(MessageCode.TestMessageResponse)]
    [MessagePackObject]
    public class TestMessageResponse : MessageData
    {
        /// <summary>
        /// 发送时间
        /// </summary>
        [Key(0)] public int MessageId;
    }
}